Name:           python-polib
Version:        1.1.0
Release:        2
Summary:        A library to manipulate gettext files (po and mo files)
License:        MIT
URL:            https://pypi.org/project/polib/
Source0:        https://pypi.python.org/packages/source/p/polib/polib-1.1.0.tar.gz

BuildRequires:  python2-devel python3-devel
BuildArch:      noarch

%description
polib is a library to manipulate, create, modify gettext files (pot, po and mo files). You can load
existing files, iterate through it’s entries, add, modify entries, comments or metadata, etc… or
create new po files from scratch.

polib supports out of the box any version of python ranging from 2.5 to latest 3.X version.

%package -n python2-polib
Summary:        A library to manipulate gettext files (po and mo files)
%{?python_provide:%python_provide python2-polib}

%description -n python2-polib
polib is a library to manipulate, create, modify gettext files (pot, po and mo files). You can load
existing files, iterate through it’s entries, add, modify entries, comments or metadata, etc… or
create new po files from scratch.

polib supports out of the box any version of python ranging from 2.5 to latest 3.X version.

%package -n python3-polib
Summary:        A library to manipulate gettext files (po and mo files)
%{?python_provide:%python_provide python3-polib}

%description -n python3-polib
polib is a library to manipulate, create, modify gettext files (pot, po and mo files). You can load
existing files, iterate through it’s entries, add, modify entries, comments or metadata, etc… or
create new po files from scratch.

polib supports out of the box any version of python ranging from 2.5 to latest 3.X version.

%prep
%autosetup -n polib-1.1.0 -p1
rm -rf polib.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} tests/tests.py
%{__python3} tests/tests.py

%files -n python2-polib
%doc README.rst
%license LICENSE
%{python2_sitelib}/polib-1.1.0-py2.7.egg-info
%{python2_sitelib}/polib.{py,pyc,pyo}

%files -n python3-polib
%doc README.rst
%license LICENSE
%{python3_sitelib}/polib-1.1.0-py3.7.egg-info
%{python3_sitelib}/polib.py
%{python3_sitelib}/__pycache__/polib.cpython-37*.pyc

%changelog
* Mon Jan  6 2020 lingsheng <lingsheng@huawei.com> - 1.1.0-2
- Package init
